import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { DefaultParamsProviderPort } from '../core/application/ports/default-params-provider.port';
import { DefaultParams } from '../core/application/types/default-params.type';

@Injectable()
export class DefaultParamsProvider implements DefaultParamsProviderPort {
  constructor(private readonly configService: ConfigService) {}
  getParams = (): DefaultParams => ({
    GEOROUTER_TYPE: this.configService.get('GEOROUTER_TYPE'),
    GEOROUTER_URL: this.configService.get('GEOROUTER_URL'),
  });
}
